# -*- coding: utf-8 -*-
"""
    test variables automatiques et fill
    
"""
from os import path as osp

from py.test import raises
from creole.cfgparser import EoleDict
from creole.error import ConfigError

HERE = osp.join(osp.dirname(__file__))
DATADIR = osp.join(HERE, 'data')
DICODIR = osp.join(DATADIR, 'eole', 'dicos')

def gen_dico():
    """initialisations préalables aux tests
    """
    dico_eole = EoleDict(templatedir=DATADIR, logfile='/dev/null')
    dico_eole.read(osp.join(DICODIR, 'general.xml'))
    dico_eole.read(osp.join(DICODIR, 'local', 'local.xml'))
    dico_eole.read(osp.join(DICODIR, 'variante', 'variante.xml'))
    resultfile = osp.join(DATADIR, 'testdicos.result')
    return dico_eole, resultfile

def test_value_auto():
    """
        value auto
    """
    dico_eole, resultfile = gen_dico()
    dico_eole.read(osp.join(DICODIR, 'auto.xml'))
    assert dico_eole.variables['var_general_dependant'].get_value() ==  ['11']

def test_value_auto_eolfile():
    """
        value auto avec config.eol charge
    """
    dico_eole, resultfile = gen_dico()
    dico_eole.read(osp.join(DICODIR, 'auto.xml'))
    dico_eole.load_values(osp.join(DATADIR, 'config_redefine.eol'))
    assert dico_eole.variables['var_general_dependant'].get_value() ==  ['11']


