#!/usr/bin/env python
# -*- coding: UTF-8 -*-
"""script d'insertion des données par défaut dans la base de données
(types établissement et modules par défaut)
"""

# insertion des types d'établissement
from zephir.backend import nomenclature
import xmlrpclib, getpass, os,sys
from zephir.config import *

# connexion à l'application zephir
try:
    passwd = sys.argv[1]
except:
    passwd = getpass.getpass("mot de passe de %%admin_zephir%% : ")

z = xmlrpclib.ServerProxy('https://%%admin_zephir%%:%s@%s:%s' % (passwd, ADRESSE_ZEPHIR, PORT_ZEPHIR))


# import des types d'établissement
print "création des types d'établissement par défaut ...\n"

for libelle in nomenclature.nomenclature_ramses.values():
    z.etabs.add_type(libelle)

# création des modules
print "création des modules Eole ...\n"

res = z.modules.get_module()
if res[0] == 0:
    modules_actuel = []
else:
    modules_actuel = res[1]
    
libelles = []

for module in modules_actuel:
    libelles.append(module['libelle'])
    
for module in liste_modules:
    if module in libelles:
        print("\nle module %s existe déjà !" % module)
    else:
        res,id_module=z.modules.add_module(module)
        if res == 0:
            print("\nerreur de création du module %s : %s\n" % (module,id_module))
        else:
            # installation du dictionnaire
            fichier = open("../dictionnaires/dico-%s" % module,"r")
            buffer_dico = fichier.read()
            fichier.close()
            res = z.uucp.install_module(int(id_module),xmlrpclib.base64.encodestring(buffer_dico))[0]
            if res == 0:
                print("erreur d'envoi du dictionnaire pour le module %s" % module)

print "\ninsertion des données de base terminée\n"
